<?php
use App\Homestay;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    $data  = Homestay::all();
    //dd($data);
    return view('index')->with('data',$data);
});

Route::get('test', function(){
	return view('index');
});

//test saja
Route::get('editprofiles', function(){
	return view('editprofiles');
});

//web
Route::get('history', function(){
	return view('History');
});



Route::get('profiles', function(){
	return view('profiles');
});

Route::group(['middleware' => 'auth'], function () {
    //    Route::get('/link1', function ()    {
//        // Uses Auth Middleware
//    });

    //Please do not remove this if you want adminlte:route and adminlte:link commands to works correctly.
    #adminlte_routes
});
Route::get('detailhomestay/{id}','CustomerController@detailhomestay');
Route::get('history/{id}','CustomerController@hitory');
Route::get('daftar','CustomerController@register');
Route::post('daftar','CustomerController@registerStore');
Route::post('book','CustomerController@booking');
//Route::post('editProfileCustomer/{id}','CustomerController@update');
//Route::put('editProfile/{id}','CustomerController@updateProfile');
Route::get('editProfileCustomer/{id}','CustomerController@editProfile');
Route::put('editProfileCustomer/{id}','CustomerController@updateProfile');
Route::resource('admin', 'AdminController');
Route::get('listowner','AdminController@listOwner');
Route::resource('owner','OwnerController');
Route::get('customerProfile','CustomerController@profile');
route::get('profile','OwnerController@profile');
Route::get('profile/{id}/profiledit','OwnerController@editProfile');
Route::get('profileUpdate/{id}','OwnerController@updatePro');
Route::get('requestHomestay','AdminController@RequestHomestay');
Route::get('requestFasilitas','AdminController@RequestFasilitas');
Route::get('pengajuanHomestay','OwnerController@pengajuan');
Route::post('pengajuanHomestay','OwnerController@storePengajuan');
Route::get('listPengajuan','OwnerController@listPengajuan');
Route::get('listPengajuanFasilitas','OwnerController@listPengajuanFasilitas');
Route::put('requestFasilitas/{id}','AdminController@UpdateRequestFasilitas');
Route::put('requestFasilitass/{id}','AdminController@UpdateRequestFasilitass');
Route::put('listPengajuanHomestay/{id}','AdminController@AccPengajuanHomestay');

Route::resource('profile','ProfileController');
Route::get('reqFasilitas','OwnerController@requestFasilitas');
Route::post('reqFasilitas','OwnerController@storeRequest');



